/* $File: //depot/main/ticWorkspaceGadget/src/WgGlobals.h $
 * $Date: 2004/09/11 $
 * $Revision: #4 $
 *
 * misc globals
 *
 * (C) 1999-2004 by Mikael Jansson <apps@mikael.jansson.be>
 */
#ifndef WgGlobals_h
#define WgGlobals_h

#include "SettingsFile.h"

#define T_POS_TOP_LEFT 		0
#define T_POS_TOP_RIGHT 	1
#define T_POS_BOTTOM_LEFT 	2
#define T_POS_BOTTOM_RIGHT	3

#define T_DIR_HORIZONTAL	0
#define T_DIR_VERTICAL		1

#define T_DEF_WARPING_ENABLED	true
#define T_DEF_WARPING_DELAY		300
#define T_DEF_WARPING_FLAGS		0
#define T_DEF_POPUP_ENABLED		true
#define T_DEF_POPUP_ANIMATION_ENABLED		false
#define T_DEF_POPUP_SIZE		200
#define T_DEF_POPUP_POSITION	T_POS_TOP_LEFT
#define T_DEF_POPUP_DIRECTION	T_DIR_VERTICAL

extern SettingsFile *g_AppPrefs;

// prefs app stuff
extern const char *kPrefsAppWindowSize;

extern const char *kPrefsWarpingMsg;

extern const char *kCommunicationPortName;

// message field
extern const char *kPrefsWarpingIndexField;
extern const char *kPrefsWarpingEnabled;
extern const char *kPrefsWarpingDelay;
extern const char *kPrefsWarpingFlags;

extern const char *kPrefsPopupEnabled;
extern const char *kPrefsPopupAnimationEnabled;
extern const char *kPrefsPopupSize;
extern const char *kPrefsPopupPosition;
extern const char *kPrefsPopupDirection;


extern const char *kPopupAppSig;

#endif // WgGlobals_h
