/* $File: //depot/main/ticWorkspaceGadget/src/WgPrefsApp.cpp $
 * $Date: 2004/09/01 $
 * $Revision: #1 $
 *
 * (C) 1999-2004 by Mikael Jansson <apps@mikael.jansson.be>
 */
#include "WgPrefsApp.h"

#include "WgGlobals.h"

WgPrefsApp::WgPrefsApp() :
	BApplication("application/x-vnd.tic_software-ticWorkspaceGadget")
{
	Run();
}

void WgPrefsApp::ReadyToRun() {

	g_AppPrefs = new SettingsFile;
	g_AppPrefs->Load();

	BPoint point;
	if (g_AppPrefs->FindPoint(kPrefsAppWindowSize, &point) != B_OK) {
		point.x = 500;
		point.y = 500;
		
		g_AppPrefs->AddPoint(kPrefsAppWindowSize, point);
	}

	m_Window = new WgPrefsWindow(BRect(point.x,point.y, point.x+10,point.y+10));
	m_Window->Show();
}

WgPrefsApp::~WgPrefsApp() {

	g_AppPrefs->Save();
	delete g_AppPrefs;
}

int main() {
	WgPrefsApp app;
}